RANLIB(1)

NOMBRE
ranlib - genera un índice en un archivo

SINOPSIS
ranlib [--plugin nombre] [-DhHvVt] archivo

DESCRIPCIÓN
ranlib genera un índice de los contenidos de un archivo, y lo almacena en el archivo. El índice lista cada símbolo definido por cada miembro del archivo que sea un fichero objeto reubicable.

Se puede emplear nm -s o nm --print-armap para listar este índice.

Un archivo con un índice como éste acelera el enlazado de la biblioteca, y permite que rutinas de ella se llamen entre sí sin importar su posición en el archivo.

El programa ranlib de GNU es otra forma del programa, también de GNU, ar; ejecutar ranlib es completamente equivalente a ejecutar `ar -s'.

OPCIONES

-h
-H
--help
    Show usage information for ranlib.

-v
-V
--version
    Muestra el número de versión de ranlib.

-D  Operate in deterministic mode. The symbol map archive member's header will show zero for the UID, GID, and timestamp. When this option is used, multiple runs will produce identical output files.

    If binutils was configured with --enable-deterministic-archives, then this mode is on by default. It can be disabled with the -U option, described below.

-t  Update the timestamp of the symbol map of an archive.

-U  Do not operate in deterministic mode. This is the inverse of the -D option, above: the archive index will get actual UID, GID, timestamp, and file mode values.

    If binutils was configured without --enable-deterministic-archives, then this mode is on by default.

@archivo
    Read command-line options from file. The options read are inserted in place of the original @file option. If file does not exist, or cannot be read, then the option will be treated literally, and not removed.

    Options in file are separated by whitespace. A whitespace character may be included in an option by surrounding the entire option in either single or double quotes. Any character (including a backslash) may be included by prefixing the character to be included with a backslash. The file may itself contain additional @file options; any such options will be processed recursively.

VÉASE TAMBIÉN
ar(1), nm(1), and the Info entries for binutils.

COPYRIGHT
Copyright (c) 1991-2023 Free Software Foundation, Inc.

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.3 or any later version published by the Free Software Foundation; with no Invariant Sections, with no Front-Cover Texts, and with no Back-Cover Texts. A copy of the license is included in the section entitled "GNU Free Documentation License".

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Gerardo Aburruzaga García <gerardo.aburruzaga@uca.es>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.